package cn.iocoder.yudao.module.llm.dal.mysql.label;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;
import cn.iocoder.yudao.framework.mybatis.core.query.LambdaQueryWrapperX;
import cn.iocoder.yudao.framework.mybatis.core.mapper.BaseMapperX;
import cn.iocoder.yudao.module.llm.dal.dataobject.label.LabelDO;
import org.apache.ibatis.annotations.Mapper;
import cn.iocoder.yudao.module.llm.controller.admin.label.vo.*;

/**
 * 标签管理 Mapper
 *
 * @author 华大大模型
 */
@Mapper
public interface LabelMapper extends BaseMapperX<LabelDO> {

    default PageResult<LabelDO> selectPage(LabelPageReqVO reqVO) {
        return selectPage(reqVO, new LambdaQueryWrapperX<LabelDO>()
                .likeIfPresent(LabelDO::getLabelName, reqVO.getLabelName())
                .betweenIfPresent(LabelDO::getCreateTime, reqVO.getCreateTime())
                .eqIfPresent(LabelDO::getStatus, reqVO.getStatus())
                .orderByAsc(LabelDO::getSorted));
    }

}